Loading...
Searching...
No Matches
Halide::Runtime::Internal::BlockResource Struct Reference

`#include <memory_resources.h>`

## Public Attributes

MemoryBlock | memory
RegionAllocator * | allocator = nullptr
BlockRegion * | regions = nullptr
size_t | reserved = 0

## Detailed Description

Definition at line 103 of file memory_resources.h.

## Member Data Documentation

## memory

MemoryBlock Halide::Runtime::Internal::BlockResource::memory

Definition at line 104 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map(), Halide::Runtime::Internal::BlockAllocator::pool_size(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::unmap().

## allocator

RegionAllocator* Halide::Runtime::Internal::BlockResource::allocator = nullptr

Definition at line 105 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::BlockAllocator::collect(), Halide::Runtime::Internal::RegionAllocator::find_allocator(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## regions

BlockRegion* Halide::Runtime::Internal::BlockResource::regions = nullptr

Definition at line 106 of file memory_resources.h.

## reserved

size_t Halide::Runtime::Internal::BlockResource::reserved = 0

Definition at line 107 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::BlockAllocator::collect().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h